<template>
  <h1>Spacers</h1>

  <p>
    All spacers have their negative counterpart: <code>--spacer-&lt;size&gt;-n</code>, which comes handy to negate
    parents margins or paddings.
  </p>

  <table>
    <thead>
      <tr>
        <th>Variable</th>
        <th>Value</th>
        <th>Result</th>
      </tr>
    </thead>
    <tbody>
      <tr v-for="v in spacers" :key="v">
        <td><code>{{ v }}</code></td>
        <td><code :data-css-var="v" /></td>
        <td>
          <div class="-doc-spacer" :style="`width: var(${v})`">&nbsp;</div>
        </td>
      </tr>
    </tbody>
  </table>
</template>

<script>
import { setScssVariables } from '../../../../documentation_system/utils/SetSCSSVariables.js'

const spacers = [
  '--spacer-tiny',
  '--spacer-small',
  '--spacer-default',
  '--spacer-medium',
  '--spacer-large',
  '--spacer-xlarge',
]
export default {
  name: 'SpacersView',
  data () {
    return {
      spacers,
    }
  },
  methods: {
    setScssVariables,
  },
  created () {
    this.$setTitle('Spacers')

    this.$nextTick(() => {
      this.setScssVariables()
    })
  },
}
</script>
